/**
 * CompressionAlgorithm2.java
 *
 * File generated from the medication2::CompressionAlgorithm2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration CompressionAlgorithm2.
 *
 * 
 */

@XmlType(name = "CompressionAlgorithm")
@XmlEnum
@XmlRootElement(name = "CompressionAlgorithm2")
public enum CompressionAlgorithm2 {
	@XmlEnumValue("DF")
	DF("DF"),
	@XmlEnumValue("GZ")
	GZ("GZ"),
	@XmlEnumValue("Z")
	Z("Z"),
	@XmlEnumValue("ZL")
	ZL("ZL");
	
	private final String value;

    CompressionAlgorithm2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static CompressionAlgorithm2 fromValue(String v) {
        for (CompressionAlgorithm2 c: CompressionAlgorithm2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
